WebSocket​
GET
/chasm/ws
Establishes a WebSocket connection to manage multiple device subscriptions dynamically
🧪 Alpha
This endpoint is alpha, and may change while being tested.This documentation page also does not lend itself to a websocket endpoint, this is not a GET. Please see schema descriptions and various response codes for detailed examples of messages.
Supports subscribe/unsubscribe/out message types
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Query Parameters
devices
Initial devices to subscribe to (comma-separated)
Type
string
encoding
Message encoding format (json|hex|decimal|base64)
Type
string
Default
"json"Request Body​
application/json
JSON"data": "ff 00 01","device": "device1","encoding": "hex","messageId": "msg-789","type": "out"
{
 Â
 Â
 Â
 Â
 Â
}